source env.sh
hostfile=./hostfile

np=$(cat $hostfile|sort|uniq |wc -l)
np=$(($np*8))

nodename=$(cat $hostfile |sed -n "1p")
dist_url=`echo $nodename | awk '{print $1}'`
which mpirun
mpirun -np $np --allow-run-as-root --hostfile $hostfile --bind-to none --mca btl_tcp_if_include $dist_url single-16B.sh $dist_url
echo "END TIME: $(date)"

